dpkg-parsechangelog(1)

NOMBRE
dpkg-parsechangelog - Análisis de ficheros de registro de cambios de Debian

SINOPSIS
dpkg-parsechangelog [option...]

DESCRIPCIÓN
dpkg-parsechangelog lee y analiza el registro de cambios de un árbol de fuentes de Debian desempaquetado, mostrando la información contenida a través de la salida estándar en un formato legible por el sistema.

OPCIONES

-lfichero-cambios
    Define el fichero de registro de cambios del que leer la información. Por omisión es debian/changelog.

-Fformato-registro-cambios
    Define el formato del registro de cambios. Por omisión, el formato se lee de una línea especial cerca del final del registro de cambios o, en caso de fallo, usa el formato estándar debian.

-Ldirectorio-bibliotecas
    Define un directorio adicional en el que buscar scripts de análisis. Este directorio se analiza antes que los directorios predefinidos, /usr/local/lib/dpkg/parsechangelog y /usr/lib/dpkg/parsechangelog.

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

  Opciones de análisis
Las siguientes opciones permiten modificar la salida del analizador de registros de cambio, por ejemplo, el rango de las entradas o el formato de la salida. Deben ser compatibles con el script analizador en cuestión. Véase también ADVERTENCIAS.

--format formato-salida
    Define el formato de la salido. Los valores compatibles son dpkg y rfc822. dpkg es el formato de salida clásico (anterior a la existencia de esta opción) y el valor predefinido. Consiste de un párrafo con el formato de control de Debian (consulte deb-control(5)). En caso de requerir más de una entrada, la mayoría de campos se toman de la última entrada, a menos que se especifique lo contrario:

    Source: pkg-name

    Version: version

    Distribution: target-distribution

    Urgency: urgency
        Se usa la urgencia más elevada presente entre todas las entradas incluidas.

    Maintainer: author

    Date: date

    Closes: bug-number
        Los campos «Closes» de todas las entradas incluidas se fusionan.

    Changes: changelog-entries
        El texto de todas las entradas del registro de cambios se encadena. Para que ésto tenga un formato de control multi-línea de Debian válido, las líneas vacías se reemplazan por un retorno de línea, y se inserta un sangrado de un carácter de espacio en todas las líneas. El contenido exacto depende del formato del registro de cambios.

    Pueden que aparezcan campos adicionales definidos por el usuario.

    El formato rfc822 emplea los mismos campos, pero devuelve por la salida un párrafo por cada entrada en el registro de cambios, de forma que se preservan los metadatos de cada entrada.

--since versión, -sversión, -vversión
    Incluye todos los cambios posteriores a la versión.

--until versión, -uversión
    Incluye todos los cambios anteriores a la versión.

--from versión, -fversión
    Incluye todos los cambios posteriores o de la misma versión.

--to versión, -tversión
    Incluye todos los cambios anteriores o de la misma versión.

--count número, -cnúmero, -nnúmero
    Incluye un número de entradas desde el inicio (o el final en caso de que el número sea menor que 0).

--offset número, -onúmero
    Modifica el punto de inicio para «--count» (cuenta), empezando por el principio (o el final si el número es menor que 0).

--all
    Incluye todos los cambios. Nota: otras opciones no tendrán efecto cuando esta esté en uso.

ADVERTENCIAS
Todas las Opciones de análisis, a excepción de «-v», son compatibles a partir de la versión 1.14.16 y posteriores de dpkg. Puede que los analizadores de formatos de registro de cambios además de debian y procedentes de otras fuentes no acepten todas las opciones.

FICHEROS

debian/changelog
    El fichero de registro de cambios se usa para obtener información dependiente de la versión acerca del paquete fuente, así como la urgencia y la distribución de una subida, los cambios realizados desde una versión en concreto y el propio número de versión de la fuente.

AUTORES
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007, 2008 Frank Lichtenheld

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.